Bug 809470 - HTTP installation halted by unable to read package metadata (empty resolv.conf)
HTTP installation halted by unable to read package metadata (empty resolv.conf)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
i386 Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On: 809475
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 08:59 EDT by Felix Miata
Modified: 2013-08-01 09:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:12:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
installation logs (108.88 KB, application/x-gzip)
2012-04-03 17:04 EDT, Felix Miata
no flags Details

  None (edit)
Description Felix Miata 2012-04-03 08:59:23 EDT
Since Sunday I've been trying to HTTP install F17, but always get halted with "Unable to read package metadata...failure:repodata/repomd.xml from anaconda-0: [Errno 256]. No more mirrors to try." after deselecting to install a bootloader  and clicking next. I'm starting via the following:
title Install Rawhide (hd0,13)
    kernel (hd0,2)/fedora/vmlinuz repo=http://mirrors.us.kernel.org/fedora/development/17/i386/os gateway=192.168.1.1 dns=192.168.1.1 graphical ip=192.168.0.1 netmask=255.255.255.0 hostname=gx28b noselinux noipv6  
    initrd (hd0,2)/fedora/initrd.img

Installation via the boot.iso does work on the same P4 machine.
Comment 1 Chris Lumens 2012-04-03 09:50:09 EDT
Please attach complete log files to this bug report.
Comment 2 Felix Miata 2012-04-03 10:09:28 EDT
Bug 808970 (forced format of / on subsequent install attempt) made them disappear. Another complete installation will be required to generate a fresh set as time permits.
Comment 3 Felix Miata 2012-04-03 16:55:22 EDT
The following excerpts are from tty while the subject error message is on tty6:

INFO anaconda: dispatch: moving to (1) step reposetup
INFO anaconda: Error downloading treeinfo: [Errno 14] curl#6 - "Couldn't resolve host"
WARN yum.YumBase: Repo Redora 17 - i386 - Test Updates contains...
[repeat repeat ...]
INFO anaconda: Error downloading treeinfo: [Errno 14] curl#6 - "Couldn't resolve host"
WARN anaconda: Try 1/10 for http://mirrors.us.kernel.org/fecora/development/17/i386/os/repodata/repomd.xml failed: [Errno 14] curl#6 - "Couldn't resolve host"
WARN anaconda: failed to get http://mirrors.us.kernel.org/fecora/development/17/i386/os/repodata/repomd.xml from mirror 1/1, or downloaded file is corrupt
WARN anaconda: Try 1/10 for http://mirrors.us.kernel.org/fecora/development/17/i386/os/repodata/repomd.xml failed: [Errno 14] curl#6 - "Couldn't resolve host"
WARN anaconda: failed to get http://mirrors.us.kernel.org/fecora/development/17/i386/os/repodata/repomd.xml from mirror 1/1, or downloaded file is corrupt
[EOT]

Examination of /etc/resolv.conf showed no uncommented lines. Editing it to have a nameserver line allowed installation to proceed. Logs to follow when installation completes.
Comment 4 Felix Miata 2012-04-03 17:04:54 EDT
Created attachment 574982 [details]
installation logs

in comment 3 s/excerpts are from tty while the subject/excerpts are from tty3 while the subject/
Comment 5 Radek Vykydal 2012-04-05 07:53:55 EDT
From anaconda.ifcfg.log (comment #4):

16:22:28,569 DEBUG ifcfg: Network.update() called
16:22:28,662 DEBUG ifcfg: /etc/sysconfig/network-scripts/ifcfg-p2p1:
# Generated by dracut initrd
DEVICE=p2p1
ONBOOT=yes
NETBOOT=yes
UUID=7621f48f-2558-4c9f-94df-5b9283714e53
BOOTPROTO=none
IPADDR=192.168.0.128
NETMASK=255.255.255.0
GATEWAY=192.168.0.50
HWADDR=00:0f:1f:e8:ee:7a
TYPE=Ethernet
NAME="Boot Disk"

Dracut's modules.d/45ifcfg/write-ifcfg.sh is not passing nameserver info from dns boot option to ifcfg file (DNS1= is missing). Will, I am reassigning to you to check/ack and pass to dracut eventually.
Comment 6 Mark Hamzy 2012-04-27 11:53:43 EDT
This should be fixed by bug 815369.
Comment 7 Fedora End Of Life 2013-07-04 00:20:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 09:12:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.